Subject: Re: bug#8279: [PATCH] More fixes to prevent hide-show from being confused by commented-out braces

From: Chong Yidong <[email-masked]>
Date: Sat, 28 May 2011 14:35:57 -0400

Dima Kogan <[email-masked]> writes:

> Earlier I submitted some fixes to hideshow.el to improve handling of
> braces in comments (bug#8036). These fixes were incomplete and in one
> case, incorrect. The attached patch improves hideshow.el further:

+  "Returns non-nil if the point is at the block start.
+A function is useful for this to cleanly disregard commented-out
+blocks"

This docstring should use the active voice, i.e. "Returns non-nil if the
point is at the block start."  And there's no need to justify the use of
a function.

Otherwise, the patch looks reasonable; I've commited it.  Thanks.